<?php

define('SHTRIH_KKMMODE_0_0', 'Принтер в рабочем режиме');
define('SHTRIH_KKMMODE_1_0', 'Выдача данных');
define('SHTRIH_KKMMODE_2_0', 'Открытая смена, 24 часа не кончились');
define('SHTRIH_KKMMODE_3_0', 'Открытая смена, 24 часа кончились');
define('SHTRIH_KKMMODE_4_0', 'Закрытая смена');
define('SHTRIH_KKMMODE_5_0', 'Блокировка по неправильному паролю налогового инспектора');
define('SHTRIH_KKMMODE_6_0', 'Ожидание подтверждения ввода даты');
define('SHTRIH_KKMMODE_7_0', 'Разрешение изменения положения десятичной точки');
define('SHTRIH_KKMMODE_8_0', 'Открытый документ. Продажа');
define('SHTRIH_KKMMODE_8_1', 'Открытый документ. Покупка');
define('SHTRIH_KKMMODE_8_2', 'Открытый документ. Возврат продажи');
define('SHTRIH_KKMMODE_8_3', 'Открытый документ. Возврат покупки');
define('SHTRIH_KKMMODE_8_4', 'Открытый документ. Нефискальный');
define('SHTRIH_KKMMODE_9_0', 'Режим разрешения технологического обнуления');
define('SHTRIH_KKMMODE_10_0', 'Тестовый прогон');
define('SHTRIH_KKMMODE_11_0', 'Печать полного фис. отчета');
define('SHTRIH_KKMMODE_12_0', 'Работа с фискальным подкладным документом. Продажа (открыт)');
define('SHTRIH_KKMMODE_12_1', 'Работа с фискальным подкладным документом. Покупка (открыт)');
define('SHTRIH_KKMMODE_12_2', 'Работа с фискальным подкладным документом. Возврат продажи (открыт)');
define('SHTRIH_KKMMODE_12_3', 'Работа с фискальным подкладным документом. Возврат покупки (открыт)');
define('SHTRIH_KKMMODE_13_0', 'Печать подкладного документа. Ожидание загрузки');
define('SHTRIH_KKMMODE_13_1', 'Печать подкладного документа. Загрузка и позиционирование.');
define('SHTRIH_KKMMODE_13_2', 'Печать подкладного документа. Позиционирование.');
define('SHTRIH_KKMMODE_13_3', 'Печать подкладного документа. Печать.');
define('SHTRIH_KKMMODE_13_4', 'Печать подкладного документа. Печать закончена.');
define('SHTRIH_KKMMODE_13_5', 'Печать подкладного документа. Выброс документа.');
define('SHTRIH_KKMMODE_13_6', 'Печать подкладного документа. Ожидание извлечения.');
define('SHTRIH_KKMMODE_14_0', 'Фискальный подкладной документ сформирова.');

define('SHTRIH_KKMSUBMODE_0', 'Бумага есть');
define('SHTRIH_KKMSUBMODE_1', 'Пассивное отсутствие бумаги');
define('SHTRIH_KKMSUBMODE_2', 'Активное отсутствие бумаги');
define('SHTRIH_KKMSUBMODE_3', 'После активного отсутствия бумаги');
define('SHTRIH_KKMSUBMODE_4', 'Фаза печати операции полных фискальных отчетов');
define('SHTRIH_KKMSUBMODE_5', 'Фаза печати операции');

define('SHTRIH_ERROR_CODE_1', 'Неизвестная команда, неверный формат посылки или неизвестные параметры ');
define('SHTRIH_ERROR_CODE_2', 'Другое состояние ФН');
define('SHTRIH_ERROR_CODE_3', 'Отказ ФН');
define('SHTRIH_ERROR_CODE_4', 'Отказ КС');
define('SHTRIH_ERROR_CODE_5', 'Параметры команды не соответствуют сроку жизни ФН');
define('SHTRIH_ERROR_CODE_7', 'Неверные дата и/или время');
define('SHTRIH_ERROR_CODE_8', 'Нет запрошенных данных');
define('SHTRIH_ERROR_CODE_9', 'Некорректное значение параметров команды');
define('SHTRIH_ERROR_CODE_16', 'Превышение размеров TLV данных');
define('SHTRIH_ERROR_CODE_17', 'Нет транспортного соединения');
define('SHTRIH_ERROR_CODE_18', 'Исчерпан ресурс ФН');
define('SHTRIH_ERROR_CODE_20', 'Ограничение ресурса ФН');
define('SHTRIH_ERROR_CODE_22', 'Продолжительность смены более 24 часов');
define('SHTRIH_ERROR_CODE_23', 'Некорректные данные о промежутке времени между фискальными документами');
define('SHTRIH_ERROR_CODE_32', 'Сообщение от ОФД не может быть принято');
define('SHTRIH_ERROR_CODE_47', 'Таймаут обмена с ФН');
define('SHTRIH_ERROR_CODE_48', 'ФН не отвечает');
define('SHTRIH_ERROR_CODE_51', 'Некорректные параметры в команде');
define('SHTRIH_ERROR_CODE_52', 'Нет данных');
define('SHTRIH_ERROR_CODE_53', 'Некорректный параметр при данных настройках');
define('SHTRIH_ERROR_CODE_54', 'Некорректные параметры в команде для данной реализации ФР');
define('SHTRIH_ERROR_CODE_55', 'Команда не поддерживается в данной реализации ФР');
define('SHTRIH_ERROR_CODE_56', 'Ошибка в ПЗУ');
define('SHTRIH_ERROR_CODE_57', 'Внутренняя ошибка ПО ФР');
define('SHTRIH_ERROR_CODE_58', 'Переполнение накопления по надбавкам в смене');
define('SHTRIH_ERROR_CODE_59', 'Переполнение накопления в смене');
define('SHTRIH_ERROR_CODE_60', 'ЭКЛЗ: неверный регистрационный номер');
define('SHTRIH_ERROR_CODE_61', 'Смена не открыта – операция невозможна');
define('SHTRIH_ERROR_CODE_62', 'Переполнение накопления по секциям в смене');
define('SHTRIH_ERROR_CODE_63', 'Переполнение накопления по скидкам в смене');
define('SHTRIH_ERROR_CODE_64', 'Переполнение диапазона скидок');
define('SHTRIH_ERROR_CODE_65', 'Переполнение диапазона оплаты наличными');
define('SHTRIH_ERROR_CODE_66', 'Переполнение диапазона оплаты типом 2');
define('SHTRIH_ERROR_CODE_67', 'Переполнение диапазона оплаты типом 3');
define('SHTRIH_ERROR_CODE_68', 'Переполнение диапазона оплаты типом 4');
define('SHTRIH_ERROR_CODE_69', 'Cумма всех типов оплаты меньше итога чека');
define('SHTRIH_ERROR_CODE_70', 'Не хватает наличности в кассе');
define('SHTRIH_ERROR_CODE_71', 'Переполнение накопления по налогам в смене');
define('SHTRIH_ERROR_CODE_72', 'Переполнение итога чека');
define('SHTRIH_ERROR_CODE_73', 'Операция невозможна в открытом чеке данного типа');
define('SHTRIH_ERROR_CODE_74', 'Открыт чек – операция невозможна');
define('SHTRIH_ERROR_CODE_75', 'Буфер чека переполнен');
define('SHTRIH_ERROR_CODE_76', 'Переполнение накопления по обороту налогов в смене');
define('SHTRIH_ERROR_CODE_77', 'Вносимая безналичной оплатой сумма больше суммы чека');
define('SHTRIH_ERROR_CODE_78', 'Смена превысила 24 часа');
define('SHTRIH_ERROR_CODE_79', 'Неверный пароль');
define('SHTRIH_ERROR_CODE_80', 'Идет печать предыдущей команды');
define('SHTRIH_ERROR_CODE_81', 'Переполнение накоплений наличными в смене');
define('SHTRIH_ERROR_CODE_82', 'Переполнение накоплений по типу оплаты 2 в смене');
define('SHTRIH_ERROR_CODE_83', 'Переполнение накоплений по типу оплаты 3 в смене');
define('SHTRIH_ERROR_CODE_84', 'Переполнение накоплений по типу оплаты 4 в смене');
define('SHTRIH_ERROR_CODE_85', 'Чек закрыт – операция невозможна');
define('SHTRIH_ERROR_CODE_86', 'Нет документа для повтора');
define('SHTRIH_ERROR_CODE_87', 'ЭКЛЗ: количество закрытых смен не совпадает с ФП');
define('SHTRIH_ERROR_CODE_88', 'Ожидание команды продолжения печати');
define('SHTRIH_ERROR_CODE_89', 'Документ открыт другим оператором');
define('SHTRIH_ERROR_CODE_90', 'Скидка превышает накопления в чеке');
define('SHTRIH_ERROR_CODE_91', 'Переполнение диапазона надбавок');
define('SHTRIH_ERROR_CODE_92', 'Понижено напряжение 24В');
define('SHTRIH_ERROR_CODE_93', 'Таблица не определена');
define('SHTRIH_ERROR_CODE_94', 'Некорректная операция');
define('SHTRIH_ERROR_CODE_95', 'Отрицательный итог чека');
define('SHTRIH_ERROR_CODE_96', 'Переполнение при умножении');
define('SHTRIH_ERROR_CODE_97', 'Переполнение диапазона цены');
define('SHTRIH_ERROR_CODE_98', 'Переполнение диапазона количества');
define('SHTRIH_ERROR_CODE_99', 'Переполнение диапазона отдела');
define('SHTRIH_ERROR_CODE_100', 'ФП отсутствует');
define('SHTRIH_ERROR_CODE_101', 'Не хватает денег в секции');
define('SHTRIH_ERROR_CODE_102', 'Переполнение денег в секции');
define('SHTRIH_ERROR_CODE_103', 'Ошибка связи с ФП');
define('SHTRIH_ERROR_CODE_104', 'Не хватает денег по обороту налогов');
define('SHTRIH_ERROR_CODE_105', 'Переполнение денег по обороту налогов');
define('SHTRIH_ERROR_CODE_106', 'Ошибка питания в момент ответа по I2C');
define('SHTRIH_ERROR_CODE_107', 'Нет чековой ленты');
define('SHTRIH_ERROR_CODE_108', 'Нет контрольной ленты');
define('SHTRIH_ERROR_CODE_109', 'Не хватает денег по налогу');
define('SHTRIH_ERROR_CODE_110', 'Переполнение денег по налогу');
define('SHTRIH_ERROR_CODE_111', 'Переполнение по выплате в смене');
define('SHTRIH_ERROR_CODE_112', 'Переполнение ФП');
define('SHTRIH_ERROR_CODE_113', 'Ошибка отрезчика');
define('SHTRIH_ERROR_CODE_114', 'Команда не поддерживается в данном подрежиме');
define('SHTRIH_ERROR_CODE_115', 'Команда не поддерживается в данном режиме');
define('SHTRIH_ERROR_CODE_116', 'Ошибка ОЗУ');
define('SHTRIH_ERROR_CODE_117', 'Ошибка питания');
define('SHTRIH_ERROR_CODE_118', 'Ошибка принтера: нет импульсов с тахогенератора');
define('SHTRIH_ERROR_CODE_119', 'Ошибка принтера: нет сигнала с датчиков');
define('SHTRIH_ERROR_CODE_120', 'Замена ПО');
define('SHTRIH_ERROR_CODE_121', 'Замена ФП');
define('SHTRIH_ERROR_CODE_122', 'Поле не редактируется');
define('SHTRIH_ERROR_CODE_123', 'Ошибка оборудования');
define('SHTRIH_ERROR_CODE_124', 'Не совпадает дата');
define('SHTRIH_ERROR_CODE_125', 'Неверный формат даты');
define('SHTRIH_ERROR_CODE_126', 'Неверное значение в поле длины');
define('SHTRIH_ERROR_CODE_127', 'Переполнение диапазона итога чека');
define('SHTRIH_ERROR_CODE_128', 'Ошибка связи с ФП');
define('SHTRIH_ERROR_CODE_129', 'Ошибка связи с ФП');
define('SHTRIH_ERROR_CODE_130', 'Ошибка связи с ФП');
define('SHTRIH_ERROR_CODE_131', 'Ошибка связи с ФП');
define('SHTRIH_ERROR_CODE_132', 'Переполнение наличности');
define('SHTRIH_ERROR_CODE_133', 'Переполнение по продажам в смене');
define('SHTRIH_ERROR_CODE_134', 'Переполнение по покупкам в смене');
define('SHTRIH_ERROR_CODE_135', 'Переполнение по возвратам продажв смене');
define('SHTRIH_ERROR_CODE_136', 'Переполнение по возвратам покупок в смене');
define('SHTRIH_ERROR_CODE_137', 'Переполнение по внесению в смене');
define('SHTRIH_ERROR_CODE_138', 'Переполнение по надбавкам в чеке');
define('SHTRIH_ERROR_CODE_139', 'Переполнение по скидкам в чеке');
define('SHTRIH_ERROR_CODE_140', 'Отрицательный итог надбавки в чеке');
define('SHTRIH_ERROR_CODE_141', 'Отрицательный итог скидки в чеке');
define('SHTRIH_ERROR_CODE_142', 'Нулевой итог чека');
define('SHTRIH_ERROR_CODE_143', 'Касса не фискализирована');
define('SHTRIH_ERROR_CODE_144', 'Поле превышает размер, установленный в настройках');
define('SHTRIH_ERROR_CODE_145', 'Выход за границу поля печати при данных настройках шрифта');
define('SHTRIH_ERROR_CODE_146', 'Наложение полей');
define('SHTRIH_ERROR_CODE_147', 'Восстановление ОЗУ прошло успешно');
define('SHTRIH_ERROR_CODE_148', 'Исчерпан лимит операций в чеке');
define('SHTRIH_ERROR_CODE_160', 'Ошибка связи с ЭКЛЗ');
define('SHTRIH_ERROR_CODE_161', 'ЭКЛЗ отсутствует');
define('SHTRIH_ERROR_CODE_162', 'ЭКЛЗ: Некорректный формат или параметр команды');
define('SHTRIH_ERROR_CODE_163', 'Некорректное состояние ЭКЛЗ');
define('SHTRIH_ERROR_CODE_164', 'Авария ЭКЛЗ');
define('SHTRIH_ERROR_CODE_165', 'Авария КС в составе ЭКЛЗ');
define('SHTRIH_ERROR_CODE_166', 'Исчерпан временной ресурс ЭКЛЗ');
define('SHTRIH_ERROR_CODE_167', 'ЭКЛЗ переполнена');
define('SHTRIH_ERROR_CODE_168', 'ЭКЛЗ: Неверные дата и время');
define('SHTRIH_ERROR_CODE_169', 'ЭКЛЗ: Нет запрошенных данных');
define('SHTRIH_ERROR_CODE_170', 'Переполнение ЭКЛЗ (отрицательный итог документа)');
define('SHTRIH_ERROR_CODE_176', 'ЭКЛЗ: Переполнение в параметреколичество');
define('SHTRIH_ERROR_CODE_177', 'ЭКЛЗ: Переполнение в параметре сумма');
define('SHTRIH_ERROR_CODE_178', 'ЭКЛЗ: Уже активизирована');
define('SHTRIH_ERROR_CODE_192', 'Контроль даты и времени (подтвердите дату и время)');
define('SHTRIH_ERROR_CODE_193', 'ЭКЛЗ: суточный отчёт с гашением прервать нельзя');
define('SHTRIH_ERROR_CODE_194', 'Превышение напряжения в блоке питания');
define('SHTRIH_ERROR_CODE_195', 'Несовпадение итогов чека и ЭКЛЗ');
define('SHTRIH_ERROR_CODE_196', 'Несовпадение номеров смен');
define('SHTRIH_ERROR_CODE_197', 'Буфер подкладного документа пуст');
define('SHTRIH_ERROR_CODE_198', 'Подкладной документ отсутствует');
define('SHTRIH_ERROR_CODE_199', 'Поле не редактируется в данном режиме');
define('SHTRIH_ERROR_CODE_200', 'Отсутствуют импульсы от таходатчика');

define('SHTRIH_ERROR_CODE_999', 'Ошибка связи. Проверьте параметры порта');

